Loading...
Searching...
No Matches
casacore::MSWeatherIndex Class Reference
ms package (libcasa_ms) » MSSel_module

More...

`#include <MSWeatherIndex.h>`

## Public Member Functions

| MSWeatherIndex ()
| no index attached, use the attach function or assignment operator to change that
| MSWeatherIndex (const MSWeather &weather)
| construct one using the indicated WEATHER table
| MSWeatherIndex (const MSWeatherIndex &other)
| construct one from another
virtual | ~MSWeatherIndex ()
MSWeatherIndex & | operator= (const MSWeatherIndex &other)
void | attach (const MSWeather &weather)
Int & | antennaId ()
| access to the antenna ID key, throws an exception if isNull() is False
Public Member Functions inherited from casacore::MSTableIndex
| MSTableIndex ()
| no index attached, use the attach function or assignment operator to change that
| MSTableIndex (const Table &subTable, const Vector< String > &indexCols, ColumnsIndex::Compare *compareFunction=0)
| construct one using the indicated subtable which is part of the parent MS using the indicated index columns.
| MSTableIndex (const MSTableIndex &other)
| construct one from another
virtual | ~MSTableIndex ()
MSTableIndex & | operator= (const MSTableIndex &other)
| assignment operator, refernce semantics
void | attach (const Table &subTable, const Vector< String > &indexCols, ColumnsIndex::Compare *compareFunction=0)
| attach this to a subtable using indexCols
virtual void | setChanged ()
| Call this when an index in an existing row has changed.
virtual Record & | accessKey ()
| access the record of index (integer) keys
virtual Double & | time ()
| access the TIME to use in the search (seconds)
virtual Double & | interval ()
| access the INTERVAL to use in the search (seconds), must be >= 0
virtual RowNumbers | getRowNumbers ()
| get all of the rows in the subTable which have data during the indicated time and interval values.
virtual Int64 | getNearestRow (Bool &found)
| get the row number which falls in the interval and has the time nearest to the center of the interval (time()).
virtual Bool | isNull ()
| is this attached to a null table
virtual Table & | table ()
| return the subtable being indexed

## Private Member Functions

void | attachIds ()

## Private Attributes

RecordFieldPtr< Int > | antennaId_p

## Detailed Description

### Intended use:

Public interface

### Review Status

Date Reviewed:
  yyyy/mm/dd

### Prerequisite

- MeasurementSet
- MSTableIndex

### Etymology

### Synopsis

### Example

### Motivation

### Thrown Exceptions

Definition at line 70 of file MSWeatherIndex.h.

## Constructor & Destructor Documentation

## MSWeatherIndex() [1/3]

casacore::MSWeatherIndex::MSWeatherIndex | ( |  | ) |

no index attached, use the attach function or assignment operator to change that

Referenced by MSWeatherIndex(), and operator=().

## MSWeatherIndex() [2/3]

casacore::MSWeatherIndex::MSWeatherIndex | ( | const MSWeather & | weather | ) |

construct one using the indicated WEATHER table

## MSWeatherIndex() [3/3]

casacore::MSWeatherIndex::MSWeatherIndex | ( | const MSWeatherIndex & | other | ) |

construct one from another

References MSWeatherIndex().

## ~MSWeatherIndex()

virtual casacore::MSWeatherIndex::~MSWeatherIndex | ( |  | ) |

virtual

## Member Function Documentation

## antennaId()

Int & casacore::MSWeatherIndex::antennaId | ( |  | ) |

inline

access to the antenna ID key, throws an exception if isNull() is False

Definition at line 89 of file MSWeatherIndex.h.

References antennaId_p.

## attach()

void casacore::MSWeatherIndex::attach | ( | const MSWeather & | weather | ) |

## attachIds()

void casacore::MSWeatherIndex::attachIds | ( |  | ) |

private

## operator=()

MSWeatherIndex & casacore::MSWeatherIndex::operator= | ( | const MSWeatherIndex & | other | ) |

References MSWeatherIndex().

## Member Data Documentation

## antennaId_p

RecordFieldPtr<Int> casacore::MSWeatherIndex::antennaId_p

private

Definition at line 91 of file MSWeatherIndex.h.

Referenced by antennaId().

The documentation for this class was generated from the following file:

- ms/MSSel/MSWeatherIndex.h